## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Bump

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch: %{ix86}

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-uunf
Version:        16.0.0
Release:        %autorelease
Summary:        Unicode text normalization for OCaml

License:        ISC
URL:            https://erratique.ch/software/uunf
VCS:            git:https://erratique.ch/repos/uunf.git
Source0:        %{url}/releases/uunf-%{version}.tbz
# Test-only file
Source1:        https://www.unicode.org/Public/%{version}/ucd/NormalizationTest.txt

BuildRequires:  ocaml >= 4.14.0
BuildRequires:  ocaml-cmdliner-devel >= 1.1.0
BuildRequires:  ocaml-compiler-libs
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros
BuildRequires:  ocaml-topkg-devel >= 1.0.3
BuildRequires:  ocaml-uucd-devel >= 16.0.0
BuildRequires:  ocaml-uutf-devel >= 1.0.0

%description
Uunf is an OCaml library for normalizing Unicode text.  It supports all
Unicode normalization forms (http://www.unicode.org/reports/tr15/).  The
library is independent from any I/O mechanism or Unicode text data
structure and it can process text without a complete in-memory
representation.

Uunf depends only on Uutf for support of OCaml UTF-X encoded strings.
It is distributed under the ISC license.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-uutf-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n uunf-%{version} -p1
cp -p %{SOURCE1} test

%build
ocaml pkg/pkg.ml build \
  --dev-pkg false \
  --with-uutf true \
  --with-cmdliner true \
  --tests false

%install
# Install the binary and library
%ocaml_install

# Generate the man page
mkdir -p %{buildroot}%{_mandir}/man1
%{buildroot}/%{_bindir}/unftrip --help=groff > %{buildroot}%{_mandir}/man1/unftrip.1

# FIXME: The tests now require b0
#%%check
#ocaml pkg/pkg.ml test

%files -f .ofiles
%license LICENSE.md
%doc README.md CHANGES.md
%{_mandir}/man1/unftrip.1*

%files devel -f .ofiles-devel

%changelog
## START: Generated by rpmautospec
* Fri Dec 13 2024 Jerry James <loganjerry@gmail.com> - 16.0.0-2
- Uncommitted changes

* Wed Sep 18 2024 Jerry James <loganjerry@gmail.com> - 16.0.0-1
- Version 16.0.0
- Disable tests until b0 can be packaged

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Jerry James <loganjerry@gmail.com> - 15.1.0-10
- Fix the VCS field

* Wed Jun 19 2024 Richard W.M. Jones <rjones@redhat.com> - 15.1.0-9
- OCaml 5.2.0 ppc64le fix

* Wed May 29 2024 Richard W.M. Jones <rjones@redhat.com> - 15.1.0-8
- OCaml 5.2.0 for Fedora 41

* Thu May 23 2024 Jerry James <loganjerry@gmail.com> - 15.1.0-7
- Add VCS field

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 15.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Richard W.M. Jones <rjones@redhat.com> - 15.1.0-4
- OCaml 5.1.1 + s390x code gen fix for Fedora 40

* Tue Dec 12 2023 Richard W.M. Jones <rjones@redhat.com> - 15.1.0-3
- OCaml 5.1.1 rebuild for Fedora 40

* Thu Oct 05 2023 Richard W.M. Jones <rjones@redhat.com> - 15.1.0-2
- OCaml 5.1 rebuild for Fedora 40

* Thu Oct 05 2023 Jerry James <loganjerry@gmail.com> - 15.1.0-1
- Version 15.1.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 15.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Richard W.M. Jones <rjones@redhat.com> - 15.0.0-3
- OCaml 5.0 rebuild for Fedora 39

* Tue Jul 11 2023 Richard W.M. Jones <rjones@redhat.com> - 15.0.0-2
- ExcludeArch i686 (https://lists.fedoraproject.org/archives/list/devel@lis
  ts.fedoraproject.org/message/SPML7CUBSZNI36NLXGVHEG7DNHU3EWOJ/)

* Fri Jun 30 2023 Jerry James <loganjerry@gmail.com> - 15.0.0-1
- Initial import
## END: Generated by rpmautospec
